%define api 5
%define major 5
%define oname qt5

%define module qtlocation

%define qtlocation %mklibname qt%{api}location %{major}
%define qtlocationd %mklibname qt%{api}location -d
%define qtpositioning %mklibname qt%{api}positioning %{major}
%define qtpositioningd %mklibname qt%{api}positioning -d

# Requires qdoc5 and qt5-tools to build
%bcond_without docs

Summary:	Version 5 of the Qt toolkit (%{module} packages)
Name:		qt5-%{module}
Version:	5.9.3
Release:	2
License:	LGPLv3+
Group:		Development/KDE and Qt
Url:		http://qt-project.org/
Source0:	http://ftp.fau.de/qtproject/official_releases/qt/%(echo %{version} |cut -d. -f1-2)/%{version}/submodules/%{module}-opensource-src-%{version}.tar.xz
Source100:	%{name}.rpmlintrc
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gypsy)
BuildRequires:	pkgconfig(Qt5Concurrent) >= %{version}
BuildRequires:	pkgconfig(Qt5Core) >= %{version}
BuildRequires:	pkgconfig(Qt5DBus) >= %{version}
BuildRequires:	pkgconfig(Qt5Gui) >= %{version}
BuildRequires:	pkgconfig(Qt5Network) >= %{version}
BuildRequires:	pkgconfig(Qt5Qml) >= %{version}
BuildRequires:	pkgconfig(Qt5Quick) >= %{version}
BuildRequires:	pkgconfig(Qt5Sql) >= %{version}
BuildRequires:	pkgconfig(Qt5Widgets) >= %{version}
%if %{with docs}
BuildRequires:	qdoc5
BuildRequires:	qt5-tools
%endif

%description
Version 5 of the Qt toolkit (%{module} packages).

#----------------------------------------------------------------------------

%package -n %{qtlocation}
Summary:	Qt Location library
Group:		System/Libraries

%description -n %{qtlocation}
Qt Location library.

%files -n %{qtlocation}
%{_qt5_libdir}/libQt%{api}Location.so.%{major}*
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/libQt%{api}Location.so.%{major}*
%endif
%dir %{_qt5_plugindir}/geoservices
%{_qt5_plugindir}/geoservices/libqtgeoservices_esri.so
%{_qt5_plugindir}/geoservices/libqtgeoservices_itemsoverlay.so
%{_qt5_plugindir}/geoservices/libqtgeoservices_mapbox.so
%{_qt5_plugindir}/geoservices/libqtgeoservices_mapboxgl.so
%{_qt5_plugindir}/geoservices/libqtgeoservices_nokia.so
%{_qt5_plugindir}/geoservices/libqtgeoservices_osm.so
%{_qt5_prefix}/qml/QtLocation

#----------------------------------------------------------------------------

%package -n %{qtlocationd}
Summary:	Development files for version %{api} of the QtLocation library
Group:		Development/KDE and Qt
Requires:	%{qtlocation} = %{EVRD}
Requires:	qmake%{api}
Conflicts:	qmake5 < 5.6.0

%description -n %{qtlocationd}
Development files for version 5 of the QtLocation library.

%files -n %{qtlocationd}
%{_qt5_includedir}/QtLocation
%{_qt5_libdir}/libQt%{api}Location.so
%{_qt5_libdir}/libQt%{api}Location.prl
%{_qt5_libdir}/cmake/Qt%{api}Location
%{_qt5_libdir}/pkgconfig/Qt%{api}Location.pc
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/pkgconfig/Qt%{api}Location.pc
%endif
%{_qt5_prefix}/mkspecs/modules/qt_lib_location.pri
%{_qt5_prefix}/mkspecs/modules/qt_lib_location_private.pri

#----------------------------------------------------------------------------

%package -n %{qtpositioning}
Summary:	Qt Positioning library
Group:		System/Libraries

%description -n %{qtpositioning}
Qt Positioning library.

The Qt Positioning API gives developers the ability to determine a position by
using a variety of possible sources, including satellite, or wifi, or text
file, and so on. That information can then be used to for example determine
a position on a map. In addition satellite information can be retrieved and
area based monitoring can be performed.

%files -n %{qtpositioning}
%{_qt5_libdir}/libQt%{api}Positioning.so.%{major}*
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/libQt%{api}Positioning.so.%{major}*
%endif
%{_qt5_prefix}/qml/QtPositioning
%{_qt5_plugindir}/position/libqtposition_geoclue.so
%{_qt5_plugindir}/position/libqtposition_gypsy.so
%{_qt5_plugindir}/position/libqtposition_positionpoll.so

#----------------------------------------------------------------------------

%package -n %{qtpositioningd}
Summary:	Development files for version 5 of the QtPositioning library
Group:		Development/KDE and Qt
Requires:	%{qtpositioning} = %{EVRD}
Requires:	qmake%{api}
Conflicts:	qmake5 < 5.6.0

%description -n %{qtpositioningd}
Development files for version 5 of the QtPositioning library.

%files -n %{qtpositioningd}
%{_qt5_includedir}/QtPositioning
%{_qt5_libdir}/libQt%{api}Positioning.so
%{_qt5_libdir}/libQt%{api}Positioning.prl
%{_qt5_libdir}/cmake/Qt%{api}Positioning
%{_qt5_libdir}/pkgconfig/Qt%{api}Positioning.pc
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/pkgconfig/Qt%{api}Positioning.pc
%endif
%{_qt5_prefix}/mkspecs/modules/qt_lib_positioning.pri
%{_qt5_prefix}/mkspecs/modules/qt_lib_positioning_private.pri

#----------------------------------------------------------------------------

%if %{with docs}
%package doc
Summary:	Qt QCH documentation for %{name}
Group:		Documentation
Conflicts:	qt5-doc < 5.6.0
BuildArch:	noarch

%description doc
Qt QCH documentation for %{name}.

%files doc
%{_qt5_docdir}/qtlocation.qch
%{_qt5_docdir}/qtpositioning.qch
%endif

#----------------------------------------------------------------------------

%package examples
Summary:	Example applications for %{name}
Group:		Development/KDE and Qt
Conflicts:	qt5-examples < 5.6.0

%description examples
Example applications for %{name}.

%files examples
%{_qt5_exampledir}/location/
%{_qt5_exampledir}/positioning/

#----------------------------------------------------------------------------

%prep
%setup -qn %{module}-opensource-src-%{version}

%build
%qmake_qt5
make STRIP=true

%if %{with docs}
%make docs
%endif

%install
make install STRIP=true INSTALL_ROOT=%{buildroot}

%if %{with docs}
make install_qch_docs INSTALL_ROOT=%{buildroot}
%endif

%if "%{_qt5_libdir}" != "%{_libdir}"
pushd %{buildroot}%{_libdir}
ln -s ../%{_lib}/qt%{api}/%{_lib}/*.so.* .
mkdir pkgconfig
cd pkgconfig
ln -s ../../%{_lib}/qt%{api}/%{_lib}/pkgconfig/*.pc .
popd
%endif

# QMAKE_PRL_BUILD_DIR = /builddir/build/BUILD/qt-everywhere-opensource-src-5.4.0-beta/qtwayland/src/client
## .prl/.la file love
# nuke .prl reference(s) to %%buildroot, excessive (.la-like) libs
pushd %{buildroot}%{_qt5_libdir}
for prl_file in libQt5*.prl ; do
  sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" ${prl_file}
  if [ -f "$(basename ${prl_file} .prl).so" ]; then
    rm -fv "$(basename ${prl_file} .prl).la"
    sed -i -e "/^QMAKE_PRL_LIBS/d" ${prl_file}
  fi
done
popd

%changelog

* Thu Nov 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.3-2
- (52b1325) Disable parallel build (too slow)


